---
title: 428 Precondition Required
slug: Web/HTTP/Status/428
tags:
  - Client error
  - HTTP
  - HTTP Status Code
  - Reference
  - Status code
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <code><strong>428 Precondition Required</strong></code> response status code indicates that the server requires the request to be <a href="/en-US/docs/Web/HTTP/Conditional_requests">conditional</a>.</p>

<p>Typically, this means that a required precondition header, such as {{HTTPHeader("If-Match")}}, <strong>is missing</strong>.</p>

<p>When a precondition header is <strong>not matching</strong> the server side state, the response should be {{HTTPStatus(412)}} <code>Precondition Failed</code>.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox">428 Precondition Required</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("6585", "428 Precondition Required" , "3")}}</td>
   <td>Additional HTTP Status Codes</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/Conditional_requests">HTTP conditional requests</a></li>
 <li>{{HTTPHeader("If-Match")}}</li>
 <li>{{HTTPStatus(412)}}</li>
</ul>
